cmake_minimum_required(VERSION 2.6...3.29)
project(format)

set(FORMAT_HEADERS
    bmp/read_bmp.h
    cst/cst.h
    uis/uis.h
    utk/read_utk.h
    wav/read_wav.h
    xa/read_xa.h
)

set(FORMAT_SOURCES
    bmp/read_bmp.c
    cst/cst.c
    uis/uis.c
    utk/read_utk.c
    wav/read_wav.c
    xa/read_xa.c
)

add_library(format SHARED ${FORMAT_SOURCES} ${FORMAT_HEADERS}) # don't specify shared, cmake settings should take care of that
target_include_directories(format PUBLIC ${FORMAT_HEADERS})
